//
//  JSONCreatorActionHandler.swift
//  JSONCreator
//
//  Created by Scott Pfeil on 1/25/21.
//  Copyright © 2021 Verizon Wireless. All rights reserved.
//

import Foundation
import MVMCoreUI

public class JSONCreatorActionHandler: MVMCoreUIActionHandler {
    
    public static func doStuff() {
        MVMCoreObject.sharedInstance()?.actionHandler = JSONCreatorActionHandler()
        ModelRegistry.register(handler: ButtonWithImage.self, for: ButtonWithImageModel.self)
        ModelRegistry.register(handler: OrderTracker.self, for: OrderTrackerModel.self)
        ModelRegistry.register(handler: ListDeviceRightVariableCaret.self, for: ListDeviceRightVariableCaretModel.self)
        ModelRegistry.register(handler: Links.self, for: LinksModel.self)
        try? ModelRegistry.throwable_register(handler: neView.self, model: neViewModl.self)
        if let bundle = MVMCoreUIUtility.bundleForMVMCoreUI() {
            MVMCoreCache.shared()?.registerBundle(forImages: bundle)
        }
    }
}
